Skip to main content
GET
/
api
/
v1
/
portfolios
/
{portfolio}
/
position-limits
Get the total open position limit for the portfolio
curl --request GET \
  --url https://api.international.coinbase.com/api/v1/portfolios/{portfolio}/position-limits \
  --header 'CB-ACCESS-KEY: <api-key>' \
  --header 'CB-ACCESS-PASSPHRASE: <api-key>' \
  --header 'CB-ACCESS-SIGN: <api-key>' \
  --header 'CB-ACCESS-TIMESTAMP: <api-key>'
import requests

url = "https://api.international.coinbase.com/api/v1/portfolios/{portfolio}/position-limits"

headers = {
"CB-ACCESS-KEY": "<api-key>",
"CB-ACCESS-PASSPHRASE": "<api-key>",
"CB-ACCESS-SIGN": "<api-key>",
"CB-ACCESS-TIMESTAMP": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'CB-ACCESS-KEY': '<api-key>',
'CB-ACCESS-PASSPHRASE': '<api-key>',
'CB-ACCESS-SIGN': '<api-key>',
'CB-ACCESS-TIMESTAMP': '<api-key>'
}
};

fetch('https://api.international.coinbase.com/api/v1/portfolios/{portfolio}/position-limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "total_open_position_notional_limit": 2250000000,
  "total_open_position_notional_limit_enforced": true
}
const portfoliosService = new PortfoliosService(client);

portfoliosService.listOpenPositionLimits({
    portfolio: 'PORTFOLIO_ID_HERE',
}).then(async (response) => {
    console.log('Position Limits: ', response);
})
For more information, please visit the INTX TS SDK.

Authorizations

CB-ACCESS-KEY
string
header
required

The Client ID that owns the API Key for the request

CB-ACCESS-PASSPHRASE
string
header
required

The pass phrase affiliated with the API Key

CB-ACCESS-SIGN
string
header
required

A HMAC SHA-256 signature using the API Key secret on the string TIMESTAMP, METHOD, REQUEST_PATH, BODY

CB-ACCESS-TIMESTAMP
string
header
required

The timestamp of when the request is being made

Path Parameters

portfolio
string
required

Identifies the portfolio by UUID (e.g., 892e8c7c-e979-4cad-b61b-55a197932cf1) or portfolio ID (e.g., 5189861793641175)

Response

Position limits information

total_open_position_notional_limit
string<number>

The total notional limit across all instrument positions allowed to be opened. The value is not present if total_open_position_notional_limit_enforced is false.

Example:

2250000000

total_open_position_notional_limit_enforced
boolean

Whether total notional limit across all instrument positions allowed to be opened is enforced.